2004-05-24 11:39  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.48): Fixed bug that
	allowed undoing back to null instances

2004-05-24 10:46  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.47): Save button is now
	disabled until instances have been loaded

2004-05-24 09:41  mhall

	* weka/gui/GUIChooser.java (1.13): Updated copyright date

2004-05-23 11:54  mhall

	* weka/gui/beans/KnowledgeFlow.java (1.22): Improvements to UI:
	Scaled icons in toolbars, labels split over two lines

2004-05-22 17:57  mhall

	* weka/gui/beans/BeanInstance.java (1.3): Changed label splitting
	algorithm

2004-05-21 17:12  mhall

	* weka/gui/beans/BeanVisual.java (1.4): Added method to reduce the
	size of a bean's icon by a given factor

2004-05-21 17:07  cvs_rrb

	* weka/classifiers/bayes/BayesNet.java (1.18): Check for string and
	date attriutes

2004-05-21 16:05  mhall

	* weka/gui/beans/KnowledgeFlow.java (1.21): Added some docs

2004-05-21 15:58  mhall

	* weka/gui/beans/: KnowledgeFlow.java (1.20), Loader.java (1.8):
	Modified so that arbitrary menu items for beans can be disabled in
	the popup menus produced by the KnowledgeFlow. A menu item can be
	designated as disabled by a bean if its name begins with a '$'.

2004-05-21 15:34  mhall

	* weka/gui/beans/: Classifier.java (1.11), Filter.java (1.10),
	Loader.java (1.7): Now passes through global info from the wrapped
	algorithm

2004-05-21 15:34  mhall

	* weka/gui/beans/KnowledgeFlow.java (1.19): Moved some code for
	obtaining global info from a bean into a publically available
	utility method

2004-05-21 15:33  mhall

	* weka/gui/beans/BeanInstance.java (1.2): Now splits long component
	names over multiple lines

2004-05-21 14:47  eibe

	* weka/filters/unsupervised/instance/RemoveWithValues.java (1.7):
	The treatment of missing values was inconsistent with the
	documentation.

2004-05-21 14:41  eibe

	* weka/filters/unsupervised/instance/RemoveWithValues.java (1.6):
	Default setting for range of values was incorrect when used from
	command line.

2004-05-21 14:27  mhall

	* weka/gui/beans/: AttributeSummarizer.java (1.7),
	DataVisualizer.java (1.9), GraphViewer.java (1.5),
	ModelPerformanceChart.java (1.3), ScatterPlotMatrix.java (1.6),
	StripChart.java (1.10), TextViewer.java (1.8): Now brings popup
	windows (if open) to the front

2004-05-21 14:27  mhall

	* weka/gui/beans/README_KnowledgeFlow (1.4): Updated quick primer

2004-05-21 13:44  mhall

	* weka/gui/beans/icons/: DefaultClassifier.gif (1.2),
	DefaultClassifier_animated.gif (1.2), DefaultFilter.gif (1.2),
	DefaultFilter_animated.gif (1.2): New default icons from Jeffrey.

2004-05-21 10:00  mhall

	* weka/build.xml (1.14): Added Remco's new bayes net structure to
	the doc target

2004-05-21 09:57  mhall

	* weka/gui/PropertySheetPanel.java (1.15): Added accessor method
	for the about panel so that customizers in the KnowledgeFlow can
	make use of the help info

2004-05-21 09:52  mhall

	* weka/core/converters/: ArffLoader.java (1.7), C45Loader.java
	(1.7), CSVLoader.java (1.7), SerializedInstancesLoader.java (1.7):
	Now implements FileSourcedLoader

2004-05-21 09:43  mhall

	* weka/core/converters/FileSourcedLoader.java (1.1): Initial import

2004-05-21 09:42  mhall

	* weka/gui/beans/KnowledgeFlow.java (1.18): Passes a reference to
	the customizer Frame to any customizer that implements
	CustomizerCloseRequester

2004-05-21 09:41  mhall

	* weka/gui/beans/LoaderCustomizer.java (1.5): Now uses
	JFileChoosers directly for loaders that source from a file

2004-05-21 09:40  mhall

	* weka/gui/beans/CustomizerCloseRequester.java (1.1): Initial
	import

2004-05-21 09:39  mhall

	* weka/gui/beans/CustomizerClosingListener.java (1.2): Added GPL

2004-05-20 19:13  akibriya

	* weka/gui/AttributeVisualizationPanel.java (1.16): Fixed a bug
	with the improved method of histogram interval width calculation.

2004-05-20 16:37  mhall

	* weka/gui/beans/icons/:
	filters.unsupervised.attribute.MergeTwoValues.gif (1.1),
	filters.unsupervised.attribute.MergeTwoValues_animated.gif (1.1):
	More new icons from Jeffrey

2004-05-20 16:35  mhall

	* weka/gui/beans/ModelPerformanceChartBeanInfo.java (1.1): Initial
	import

2004-05-20 14:11  akibriya

	* weka/gui/AttributeVisualizationPanel.java (1.15): Improved
	interval width calculation of histograms.

2004-05-20 13:30  eibe

	* weka/: filters/unsupervised/instance/Normalize.java (1.1),
	gui/GenericObjectEditor.props (1.100): Added
	filters.unsupervised.instance.Normalize.

2004-05-17 16:18  mhall

	* weka/gui/beans/icons/:
	filters.unsupervised.attribute.Discretize.gif (1.1),
	filters.unsupervised.attribute.Discretize_animated.gif (1.1),
	filters.unsupervised.attribute.FirstOrder.gif (1.1),
	filters.unsupervised.attribute.FirstOrder_animated.gif (1.1),
	filters.unsupervised.attribute.MakeIndicator.gif (1.1),
	filters.unsupervised.attribute.MakeIndicator_animated.gif (1.1),
	filters.unsupervised.attribute.NominalToBinary.gif (1.1),
	filters.unsupervised.attribute.NominalToBinary_animated.gif (1.1),
	filters.unsupervised.attribute.Normalize.gif (1.1),
	filters.unsupervised.attribute.Normalize_animated.gif (1.1),
	filters.unsupervised.attribute.NumericToBinary.gif (1.1),
	filters.unsupervised.attribute.NumericToBinary_animated.gif (1.1):
	More new icons from Jeffrey

2004-05-17 15:56  mhall

	* weka/gui/beans/ClassifierCustomizer.java (1.6): Changed so that
	classifier type can't be changed from the customizer

2004-05-12 15:57  mhall

	* weka/associations/Apriori.java (1.16): Added missing info to
	globalInfo text

2004-05-12 11:42  mhall

	* weka/experiment/PairedTTester.java (1.20): Padding bug fixed

2004-05-12 10:07  mhall

	* weka/classifiers/trees/NBTree.java (1.3): Added global info
	method

2004-05-11 15:53  mhall

	* weka/experiment/PairedTTester.java (1.19): Now makes sure that
	all numbers have two decimal places by adding extra 0's

2004-05-11 11:44  eibe

	* weka/core/Utils.java (1.40): Nested options are now possible.
	Thanks, Julien.

2004-05-11 11:38  mhall

	* weka/classifiers/meta/AttributeSelectedClassifier.java (1.16):
	Fixed a bug in the option descriptions

2004-05-11 11:36  mhall

	* weka/attributeSelection/AttributeSelection.java (1.33): Fixed bug
	that ommited the class (if set in the data) when an unsupervised
	attribute selection scheme was used and the reduceDimensionality
	method was called

2004-05-05 09:34  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.46): Multiple visualize
	all panels can now be popped up

2004-05-05 09:30  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.45): Undo files are now
	serialized instances

2004-05-04 17:35  eibe

	* weka/gui/: AttributeVisualizationPanel.java (1.14),
	beans/AttributeSummarizer.java (1.6), explorer/PreprocessPanel.java
	(1.44): More changes related to setting class in the Preprocess
	Panel.

2004-05-04 15:33  eibe

	* weka/gui/: AttributeSelectionPanel.java (1.6),
	explorer/PreprocessPanel.java (1.43): Attribute selection in the
	pre-process panel is back.

2004-05-04 14:07  eibe

	* weka/gui/explorer/Explorer.java (1.29): Updated date.

2004-05-04 11:58  eibe

	* weka/classifiers/rules/Ridor.java (1.12): Inner class wasn't
	serializable

2004-05-04 11:25  eibe

	* weka/filters/unsupervised/attribute/FirstOrder.java (1.3): Fixed
	doc.

2004-05-04 11:08  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.42): Added support for
	saving/loading serialized instances

2004-05-04 11:07  eibe

	* weka/classifiers/trees/UserClassifier.java (1.17): Inner class
	was not serializable.

2004-05-04 11:05  mhall

	* weka/core/Instances.java (1.51): Removed the XML file extension
	constant as serializing to XML was not as straight-forward as I
	thought :-)

2004-05-04 10:03  mhall

	* weka/core/Instances.java (1.50): Added a couple of new file
	extension constants (binary serialized instances and XML serialized
	instances)

2004-05-03 17:01  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.41): Added support for
	exporting instances in various formats

2004-05-03 16:51  eibe

	* weka/: core/Matrix.java (1.18),
	gui/AttributeVisualizationPanel.java (1.13),
	gui/explorer/PreprocessPanel.java (1.40),
	gui/visualize/MatrixPanel.java (1.10): Update comment for solve()
	method in Matrix. Made it possible to use supervised filters in the
	Preprocess panel. Fixed histogram panel for string attributes
	(message).

2004-05-03 14:39  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.39): Open dialog can
	now filter arff, csv and C45 names files.

2004-05-03 14:38  mhall

	* weka/core/converters/C45Loader.java (1.6): Added a file extension
	string

2004-05-03 11:40  mhall

	* weka/clusterers/SimpleKMeans.java (1.16): Added some useful
	accessor methods

2004-04-30 14:24  mhall

	* weka/clusterers/MakeDensityBasedClusterer.java (1.3): Changed to
	use global standard deviation when standard deviation of an
	attribute is less than the minimum standard deviation

2004-04-30 14:17  mhall

	* weka/gui/beans/ModelPerformanceChart.java (1.2): Made false, true
	positive rate the default axis

2004-04-29 17:02  mhall

	* weka/attributeSelection/BestFirst.java (1.24): Made a bunch of
	private stuff protected

2004-04-29 10:07  mhall

	* weka/gui/beans/icons/: filters.unsupervised.attribute.Add.gif
	(1.1), filters.unsupervised.attribute.AddCluster.gif (1.1),
	filters.unsupervised.attribute.AddCluster_animated.gif (1.1),
	filters.unsupervised.attribute.AddExpression.gif (1.1),
	filters.unsupervised.attribute.AddExpression_animated.gif (1.1),
	filters.unsupervised.attribute.AddNoise.gif (1.1),
	filters.unsupervised.attribute.AddNoise_animated.gif (1.1),
	filters.unsupervised.attribute.Add_animated.gif (1.1),
	filters.unsupervised.attribute.ClusterMembership.gif (1.1),
	filters.unsupervised.attribute.ClusterMembership_animated.gif
	(1.1), filters.unsupervised.attribute.Copy.gif (1.1),
	filters.unsupervised.attribute.Copy_animated.gif (1.1): Initial
	import courtesy of Chi-Chung Lau

2004-04-29 09:49  mhall

	* weka/gui/beans/icons/:
	filters.supervised.attribute.AttributeSelection.gif (1.2),
	filters.supervised.attribute.AttributeSelection_animated.gif (1.2),
	filters.supervised.attribute.ClassOrder.gif (1.2),
	filters.supervised.attribute.ClassOrder_animated.gif (1.2),
	filters.supervised.attribute.Discretize.gif (1.2),
	filters.supervised.attribute.Discretize_animated.gif (1.2),
	filters.supervised.attribute.NominalToBinary.gif (1.2),
	filters.supervised.attribute.NominalToBinary_animated.gif (1.2),
	filters.supervised.instance.Resample.gif (1.2),
	filters.supervised.instance.Resample_animated.gif (1.2),
	filters.supervised.instance.SpreadSubsample.gif (1.2),
	filters.supervised.instance.SpreadSubsample_animated.gif (1.2),
	filters.supervised.instance.StratifiedRemoveFolds.gif (1.2),
	filters.supervised.instance.StratifiedRemoveFolds_animated.gif
	(1.2): Colour scheme change by Jeffrey

2004-04-29 09:21  mhall

	* weka/attributeSelection/RankSearch.java (1.10): Fixed bug so can
	now be used in conjuction with an unsupervised attribute ranker and
	a supervised subset evaluator

2004-04-28 15:40  mhall

	* weka/attributeSelection/Ranker.java (1.21): Fixed a bug with
	handling class index when used with attribute transformers

2004-04-22 13:05  mhall

	* weka/clusterers/EM.java (1.29): Changed so that attributes with 0
	standard dev. inside a cluster use the global standard dev. rather
	than the minimum standard dev.

2004-04-16 14:36  mhall

	* weka/classifiers/rules/DecisionTable.java (1.29): Made hashkey
	inner class static

2004-04-15 14:57  mhall

	* weka/clusterers/EM.java (1.28): EM now uses values from randomly
	chosen instances for initializing normal distributions

2004-04-15 12:01  eibe

	* weka/classifiers/meta/MultiClassClassifier.java (1.36): Fixed bug
	for 1-vs-rest that significantly reduced performance if data had
	empty classes. Present since version 1.8 of this class.

2004-04-15 10:15  mhall

	* weka/gui/explorer/PreprocessPanel.java (1.38): Now shows both
	arff and csv files in the file chooser

2004-04-15 10:14  mhall

	* weka/gui/ExtensionFileFilter.java (1.5): Now can handle multiple
	acceptable file types

2004-04-15 10:13  mhall

	* weka/core/converters/CSVLoader.java (1.6): Added a static file
	extension string

2004-04-14 14:22  cvs_rrb

	*
	weka/classifiers/bayes/net/search/global/GlobalScoreSearchAlgorithm
	.java (1.2): change option setting from P to Q

2004-04-14 11:38  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.74): Changed
	visualization code to handle missing predictions

2004-04-14 11:22  cvs_rrb

	* weka/gui/GenericObjectEditor.props (1.99): added Bayesian net
	structure learners

2004-04-14 11:19  cvs_rrb

	* weka/classifiers/bayes/: BayesNet.java (1.17),
	net/BayesNetGenerator.java (1.4), net/ParentSet.java (1.4),
	net/estimate/BMAEstimator.java (1.4),
	net/estimate/DiscreteEstimatorBayes.java (1.3),
	net/estimate/MultiNomialBMAEstimator.java (1.3),
	net/search/SearchAlgorithm.java (1.4),
	net/search/ci/CISearchAlgorithm.java (1.4),
	net/search/global/GeneticSearch.java (1.1),
	net/search/global/GlobalScoreSearchAlgorithm.java (1.1),
	net/search/global/HillClimber.java (1.1), net/search/global/K2.java
	(1.1), net/search/global/RepeatedHillClimber.java (1.1),
	net/search/global/SimulatedAnnealing.java (1.1),
	net/search/global/TAN.java (1.1), net/search/global/TabuSearch.java
	(1.1), net/search/local/GeneticSearch.java (1.1),
	net/search/local/HillClimber.java (1.1), net/search/local/K2.java
	(1.1), net/search/local/LocalScoreSearchAlgorithm.java (1.1),
	net/search/local/RepeatedHillClimber.java (1.1),
	net/search/local/Scoreable.java (1.1),
	net/search/local/SimulatedAnnealing.java (1.1),
	net/search/local/TAN.java (1.1), net/search/local/TabuSearch.java
	(1.1): [no log message]

2004-04-14 10:07  eibe

	* weka/clusterers/DensityBasedClusterer.java (1.2): Fixed comment.
	DensityBasedClusterer actually returns proper cluster membership
	probabilities.

2004-04-14 10:05  eibe

	* weka/classifiers/Evaluation.java (1.51): evaluateModelOnce() did
	not return Instance.missingValue() when all class probabilities
	were zero. This only affected the visualization of predictions.

2004-04-14 09:59  mhall

	* weka/clusterers/SimpleKMeans.java (1.15): Fixed to prevent empty
	clusters from occuring while iterating. If an empty cluster occurs
	it is deleted and the number of clusters is reduced by 1.

2004-04-14 09:31  eibe

	* weka/classifiers/Evaluation.java (1.50): Made it impossible to
	use incompatible train and test files from the command line.

2004-04-08 17:23  eibe

	* weka/classifiers/Classifier.java (1.11): Fixed bug that caused
	incorrect handling of unclassified instances in
	distributionForInstance()

2004-04-08 09:56  eibe

	* weka/filters/unsupervised/attribute/NominalToBinary.java (1.6):
	Added constuctor which initializes ranges correctly.

2004-04-07 11:53  mhall

	* weka/attributeSelection/: AttributeSelection.java (1.32),
	RaceSearch.java (1.13): Updated to use GreedyStepwise

2004-04-07 11:48  mhall

	* weka/attributeSelection/RankSearch.java (1.9): Changed to use
	GreedyStepwise

2004-04-07 11:21  mhall

	* weka/attributeSelection/GreedyStepwise.java (1.4): Fixed bug with
	start set

2004-04-06 15:49  cvs_rrb

	* weka/classifiers/bayes/: BayesNet.java (1.16),
	net/estimate/DiscreteEstimatorBayes.java (1.2): [no log message]

2004-04-05 16:43  mhall

	* weka/gui/explorer/AttributeSelectionPanel.java (1.31): Stopped
	history panel from growing to much horizontally

2004-04-05 16:42  mhall

	* weka/clusterers/ClusterEvaluation.java (1.26): Now serializable

2004-04-05 15:26  mhall

	* weka/clusterers/ClusterEvaluation.java (1.25): Now randomizes the
	data

2004-04-05 15:24  mhall

	* weka/attributeSelection/GreedyStepwise.java (1.3): Made some
	member variables and methods protected rather than private

2004-04-05 15:02  mhall

	* weka/gui/beans/Filter.java (1.9): Changed icon loading procedure
	to avoid name clashes

2004-04-05 15:01  mhall

	* weka/gui/beans/KnowledgeFlow.java (1.17): Updated date in log

2004-04-05 15:00  mhall

	* weka/gui/beans/icons/:
	filters.supervised.attribute.AttributeSelection.gif (1.1),
	filters.supervised.attribute.AttributeSelection_animated.gif (1.1),
	filters.supervised.attribute.ClassOrder.gif (1.1),
	filters.supervised.attribute.ClassOrder_animated.gif (1.1),
	filters.supervised.attribute.Discretize.gif (1.1),
	filters.supervised.attribute.Discretize_animated.gif (1.1),
	filters.supervised.attribute.NominalToBinary.gif (1.1),
	filters.supervised.attribute.NominalToBinary_animated.gif (1.1),
	filters.supervised.instance.Resample.gif (1.1),
	filters.supervised.instance.Resample_animated.gif (1.1),
	filters.supervised.instance.SpreadSubsample.gif (1.1),
	filters.supervised.instance.SpreadSubsample_animated.gif (1.1),
	filters.supervised.instance.StratifiedRemoveFolds.gif (1.1),
	filters.supervised.instance.StratifiedRemoveFolds_animated.gif
	(1.1): More funky icons from Chi-Chung Lau

2004-04-04 14:55  cvs_rrb

	* weka/classifiers/bayes/: BayesNet.java (1.15), net/ADNode.java
	(1.3), net/BIFReader.java (1.3), net/BayesNetGenerator.java (1.3),
	net/ParentSet.java (1.3), net/estimate/BMAEstimator.java (1.3),
	net/estimate/SimpleEstimator.java (1.3),
	net/search/SearchAlgorithm.java (1.3),
	net/search/ci/CISearchAlgorithm.java (1.3),
	net/search/ci/ICSSearchAlgorithm.java (1.3),
	net/search/fixed/FromFile.java (1.3),
	net/search/fixed/NaiveBayes.java (1.3): [no log message]

2004-04-02 17:09  mhall

	* weka/attributeSelection/GreedyStepwise.java (1.2): Updated
	toString()

2004-04-02 17:03  mhall

	* weka/gui/GenericObjectEditor.props (1.98): Removed
	ForwardSelection and added GreedyStepwise

2004-04-02 17:01  eibe

	* weka/gui/: GenericObjectEditor.props (1.97),
	explorer/ClustererPanel.java (1.43): DensityBasedClusterer wasn't
	accessible from the Explorer.

2004-04-02 17:01  mhall

	* weka/attributeSelection/GreedyStepwise.java (1.1): Initial import

2004-04-02 17:00  mhall

	* weka/attributeSelection/ForwardSelection.java (1.17): Name
	changed to GreedyStepwise

2004-04-02 13:23  cvs_rrb

	* weka/classifiers/bayes/: ADNode.java (1.5),
	DiscreteEstimatorBayes.java (1.5), ParentSet.java (1.6),
	Scoreable.java (1.6), VaryNode.java (1.3): files moved to
	weka/classifiers/bayes/net sub dirs

2004-04-02 13:22  cvs_rrb

	* weka/classifiers/bayes/: BayesNet.java (1.14), net/ADNode.java
	(1.2), net/BIFReader.java (1.2), net/BayesNetGenerator.java (1.2),
	net/ParentSet.java (1.2), net/estimate/BMAEstimator.java (1.2),
	net/estimate/MultiNomialBMAEstimator.java (1.2),
	net/estimate/SimpleEstimator.java (1.2),
	net/search/SearchAlgorithm.java (1.2),
	net/search/ci/CISearchAlgorithm.java (1.2),
	net/search/ci/ICSSearchAlgorithm.java (1.2),
	net/search/fixed/FromFile.java (1.2),
	net/search/fixed/NaiveBayes.java (1.2): [no log message]

2004-04-02 11:51  mhall

	* weka/core/converters/CSVLoader.java (1.5): Now a bit more memory
	efficient

2004-04-01 09:38  cvs_rrb

	* weka/gui/GenericObjectEditor.props (1.96): Added entries for
	fixed Bayes net structure learners

2004-04-01 09:33  cvs_rrb

	* weka/classifiers/bayes/: BIFReader.java (1.5), net/BIFReader.java
	(1.1), net/BayesNetGenerator.java (1.1),
	net/search/fixed/FromFile.java (1.1),
	net/search/fixed/NaiveBayes.java (1.1): [no log message]

2004-04-01 09:32  cvs_rrb

	* weka/classifiers/bayes/BayesNet.java (1.13): option handling

2004-03-31 15:30  eibe

	* weka/filters/unsupervised/attribute/NominalToBinary.java (1.5):
	Added attribute specification functionality to NominalToBinary.

2004-03-31 13:34  eibe

	* weka/core/: FastVector.java (1.9), SparseInstance.java (1.13):
	Deleted a constructor from FastVector. Updated documentation for
	SparseInstance.

2004-03-29 15:43  mhall

	* weka/gui/explorer/ClassifierPanel.java (1.73): Made some useful
	static methods public

2004-03-29 15:42  mhall

	* weka/gui/visualize/LegendPanel.java (1.5): Now draws master plot
	symbol in black rather than white

2004-03-29 15:41  mhall

	* weka/gui/beans/: Beans.props (1.8), ClassValuePicker.java (1.2),
	ClassValuePickerBeanInfo.java (1.2),
	ClassValuePickerCustomizer.java (1.3), Classifier.java (1.10),
	ClassifierPerformanceEvaluator.java (1.7),
	ClassifierPerformanceEvaluatorBeanInfo.java (1.2): Now handles
	threshold curves

2004-03-29 15:40  mhall

	* weka/gui/beans/: ModelPerformanceChart.java (1.1),
	ThresholdDataEvent.java (1.1), ThresholdDataListener.java (1.1):
	Initial import

2004-03-29 09:22  mhall

	* weka/gui/beans/icons/: AttributeSummarizer.gif (1.2),
	AttributeSummarizer_animated.gif (1.2), DefaultDataVisualizer.gif
	(1.2), DefaultDataVisualizer_animated.gif (1.2), DefaultGraph.gif
	(1.2), DefaultGraph_animated.gif (1.2), DefaultText.gif (1.2),
	DefaultText_animated.gif (1.2), ScatterPlotMatrix.gif (1.2),
	ScatterPlotMatrix_animated.gif (1.2), StripChart.gif (1.2),
	StripChart_animated.gif (1.2): New visualization icons courtesy of
	Chi-Chung Lau

2004-03-26 16:26  mhall

	* weka/gui/beans/TextViewer.java (1.7): Changed so that result
	history label text is truncated to a maximum of 30 characters

2004-03-26 16:25  mhall

	* weka/gui/beans/PredictionAppender.java (1.6): Made logger
	transient

2004-03-26 16:24  mhall

	* weka/gui/beans/ClassValuePickerCustomizer.java (1.2): Fixed
	incorrect label text

2004-03-26 10:58  mhall

	* weka/gui/beans/: Filter.java (1.8),
	IncrementalClassifierEvent.java (1.5), PredictionAppender.java
	(1.5): Fixed more bugs in instance structure passing between beans

2004-03-25 17:16  mhall

	* weka/gui/beans/StripChart.java (1.9): Now handles instance events

2004-03-25 16:15  mhall

	* weka/core/converters/ArffLoader.java (1.6): Now resets itself
	after loading incrementally from a file (usefull for the
	KnowledgeFlow)

2004-03-25 16:14  mhall

	* weka/gui/beans/: BatchClassifierEvent.java (1.3),
	ClassAssigner.java (1.8), ClassAssignerCustomizer.java (1.3),
	Classifier.java (1.9), ClassifierPerformanceEvaluator.java (1.6),
	CrossValidationFoldMaker.java (1.6), DataVisualizer.java (1.8),
	Filter.java (1.7), Loader.java (1.6), PredictionAppender.java
	(1.4), TestSetEvent.java (1.2), TrainingSetEvent.java (1.2): Fixed
	some bugs in passing of instances format between beans

2004-03-25 10:04  mhall

	* weka/gui/beans/ClassAssigner.java (1.7): Fixed bug in format
	handling

2004-03-24 16:08  cvs_rrb

	* weka/classifiers/bayes/BayesNet.java (1.12): add drawability back
	in

2004-03-24 08:55  cvs_rrb

	* weka/classifiers/bayes/: BayesNetB.java (1.4), BayesNetB2.java
	(1.4): 
	Moved to net/search subdirectories

2004-03-24 08:53  cvs_rrb

	* weka/classifiers/bayes/BayesNetK2.java (1.4): [no log message]

2004-03-24 08:40  cvs_rrb

	* weka/gui/GenericObjectEditor.props (1.95): 
	Added entries for new Bayes Network classes

2004-03-24 08:38  cvs_rrb

	* weka/classifiers/bayes/BIFReader.java (1.4): [no log message]

2004-03-24 08:33  cvs_rrb

	* weka/classifiers/bayes/net/: ADNode.java (1.1), ParentSet.java
	(1.1), VaryNode.java (1.1), estimate/BMAEstimator.java (1.1),
	estimate/BayesNetEstimator.java (1.1),
	estimate/DiscreteEstimatorBayes.java (1.1),
	estimate/DiscreteEstimatorFullBayes.java (1.1),
	estimate/MultiNomialBMAEstimator.java (1.1),
	estimate/SimpleEstimator.java (1.1), search/SearchAlgorithm.java
	(1.1), search/ci/CISearchAlgorithm.java (1.1),
	search/ci/ICSSearchAlgorithm.java (1.1): [no log message]

2004-03-24 08:20  cvs_rrb

	* weka/classifiers/bayes/BayesNet.java (1.11): [no log message]

2004-03-22 16:37  mhall

	* weka/gui/beans/icons/: ArffLoader.gif (1.1),
	ArffLoader_animated.gif (1.1), C45Loader.gif (1.1),
	C45Loader_animated.gif (1.1), CSVLoader.gif (1.1),
	CSVLoader_animated.gif (1.1), DefaultDataSource.gif (1.2),
	DefaultDataSource_animated.gif (1.2), SerializedInstancesLoader.gif
	(1.1), SerializedInstancesLoader_animated.gif (1.1): New loader
	icons courtesy of Chi-Chung Lau

2004-03-18 14:02  mhall

	* weka/classifiers/trees/REPTree.java (1.19): Fixed option for max
	tree depth so that it can be set from the command line

2004-03-11 17:02  mhall

	* weka/clusterers/EM.java (1.27): Fixed bug in initialization of
	parameters for normal distribution that resulted in 0 mean and
	variance for attributes with one distinct value

2004-03-05 11:19  mhall

	* weka/classifiers/lazy/LWL.java (1.10): Fixed an option conflict.
	Made distance function protected rather than private.

2004-03-05 09:41  eibe

	* weka/classifiers/bayes/NaiveBayesMultinomial.java (1.9): Class
	probabilities were converted incorrectly in toString before
	classifier was output.

2004-03-02 10:54  trigg

	* weka/estimators/DiscreteEstimator.java (1.6): Added two new
	methods from Stijn Lievens <stijn.lievens@ugent.be>

2004-02-27 15:12  mhall

	* weka/classifiers/: functions/SimpleLogistic.java (1.5),
	meta/AdditiveRegression.java (1.15),
	meta/AttributeSelectedClassifier.java (1.15), meta/Bagging.java
	(1.30), misc/FLR.java (1.3), rules/DecisionTable.java (1.28),
	rules/JRip.java (1.14), rules/PART.java (1.2), rules/Ridor.java
	(1.11), trees/ADTree.java (1.2), trees/J48.java (1.2),
	trees/REPTree.java (1.18), trees/RandomForest.java (1.6),
	trees/m5/M5Base.java (1.10): Changed additional measure matching to
	be case insensitive

2004-02-27 15:10  mhall

	* weka/experiment/: ClassifierSplitEvaluator.java (1.19),
	RegressionSplitEvaluator.java (1.16): Made case insensitive for
	additional measure handling

2004-02-27 14:46  mhall

	* weka/classifiers/trees/: LMT.java (1.2), NBTree.java (1.2):
	Changed additional measure matching to be case insensitive

2004-02-26 17:07  mhall

	* weka/experiment/PairedCorrectedTTester.java (1.5): Fixed bug in
	identifying column names (applied only when using results from a
	hypersonic database)

2004-02-26 14:47  mhall

	* weka/experiment/: PairedCorrectedTTester.java (1.4),
	PairedTTester.java (1.18): Added a check for non matching fold
	numbers (if fold column is set)

2004-02-25 14:40  trigg

	* weka/: associations/Tertius.java (1.2),
	classifiers/functions/MultilayerPerceptron.java (1.2),
	classifiers/trees/UserClassifier.java (1.16),
	gui/AttributeVisualizationPanel.java (1.12),
	gui/DatabaseConnectionDialog.java (1.2), gui/SaveBuffer.java (1.6),
	gui/graphvisualizer/GraphVisualizer.java (1.2),
	gui/treevisualizer/TreeVisualizer.java (1.8),
	gui/visualize/MatrixPanel.java (1.9): Remove deprecation warnings
	produced under Java 1.5

2004-02-25 14:39  trigg

	* weka/build.xml (1.13): Added a build target that uses jikes with
	all warnings turned on.

2004-02-25 14:23  trigg

	* weka/filters/unsupervised/attribute/AbstractTimeSeries.java
	(1.3): Make this compile under Java 1.5 by avoiding '*' imports.

2004-02-20 10:10  mhall

	* weka/classifiers/lazy/IBk.java (1.30): Fixed bug (numeric class
	case) in the cross validation routine

2004-02-20 10:05  mhall

	* weka/clusterers/: ClusterEvaluation.java (1.24), EM.java (1.26),
	FarthestFirst.java (1.2), MakeDensityBasedClusterer.java (1.2),
	NumberOfClustersRequestable.java (1.1), SimpleKMeans.java (1.14):
	Added a new interface

2004-02-18 14:55  mhall

	* weka/attributeSelection/ForwardSelection.java (1.16): Fixed class
	index bug (only an issue for UnsupervisedEvaluators)

2004-02-13 16:41  mhall

	* weka/gui/GenericObjectEditor.props (1.94): Added NBTree

2004-02-13 12:05  mhall

	* weka/classifiers/trees/: NBTree.java (1.1),
	j48/NBTreeClassifierTree.java (1.1), j48/NBTreeModelSelection.java
	(1.1), j48/NBTreeNoSplit.java (1.1), j48/NBTreeSplit.java (1.1):
	Initial import

2004-02-11 14:56  akibriya

	* weka/gui/visualize/MatrixPanel.java (1.8): Fixed a memory leak.
	It now no longer caches the values of the attributes which are not
	selected.

2004-02-09 17:27  akibriya

	* weka/gui/graphvisualizer/HierarchicalBCEngine.java (1.2): Fixed a
	bug, so now it can handle nodes with no edges coming in or going
	out.

2004-02-02 12:09  mhall

	* weka/gui/beans/: Beans.props (1.7), ClassAssigner.java (1.6),
	ClassAssignerCustomizer.java (1.2), Classifier.java (1.8),
	ClassifierPerformanceEvaluator.java (1.5), DataSetEvent.java (1.2),
	Filter.java (1.6), IncrementalClassifierEvaluator.java (1.7),
	IncrementalClassifierEvent.java (1.4), InstanceEvent.java (1.3),
	KnowledgeFlow.java (1.16), Loader.java (1.5), LoaderCustomizer.java
	(1.4): Some changes to make the addition of ROC curve visualization
	possible

2004-02-02 12:06  mhall

	* weka/gui/beans/: ClassValuePicker.java (1.1),
	ClassValuePickerBeanInfo.java (1.1),
	ClassValuePickerCustomizer.java (1.1),
	CustomizerClosingListener.java (1.1), DataFormatListener.java
	(1.1): Initial import.

2004-02-02 12:04  mhall

	* weka/gui/beans/icons/: ClassValuePicker.gif (1.1),
	ClassValuePicker_animated.gif (1.1): Initial import

2004-01-28 12:57  eibe

	* weka/classifiers/functions/neural/LinearUnit.java (1.4): Got rid
	of of superfluous try/catch statement.

2004-01-28 10:37  trigg

	* weka/: associations/tertius/IndividualInstances.java (1.3),
	core/Drawable.java (1.8), core/Utils.java (1.39),
	filters/unsupervised/attribute/StringToWordVector.java (1.8),
	gui/graphvisualizer/BIFParser.java (1.2),
	gui/graphvisualizer/GraphConstants.java (1.2),
	gui/graphvisualizer/LayoutCompleteEventListener.java (1.2),
	gui/graphvisualizer/LayoutEngine.java (1.2): Fixed a bunch of
	compiler warnings.

